Child Address Transactions
curl --request GET \
--url https://api.blockradar.co/v1/addresses/{addressId}/gateway/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/addresses/{addressId}/gateway/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/addresses/{addressId}/gateway/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": {
"address": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"autoSettlement": {
"isActive": false,
"rules": []
},
"disableAutoSweep": true,
"enableGaslessWithdraw": true,
"showPrivateKey": false
},
"createdAt": "2025-12-11T02:16:04.119Z",
"derivationPath": "m/44'/60'/0'/0/691",
"id": "d7c354eb-3b79-49a6-8562-a3c48beccfa8",
"isActive": true,
"metadata": null,
"name": "Child Address Gateway",
"network": "testnet",
"type": "INTERNAL",
"updatedAt": "2025-12-11T02:16:04.119Z"
},
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "0.1",
"amountPaid": "0.1",
"amountUSD": "0.1",
"asset": {
"address": "0x5425890298aed601595a70AB815c96711a31Bc65",
"configurations": null,
"createdAt": "2025-06-14T02:38:16.058Z",
"currency": "USD",
"decimals": 6,
"id": "e097a26e-0df5-4610-95d3-95f6cd1aa5c6",
"isActive": true,
"isNative": false,
"name": "USD Coin",
"network": "testnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2025-06-14T02:38:16.058Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": "0xdcef6ef2118b99dce1a3f0a0113aba580ddc5c243774656a3f9ecd670d6908b1",
"blockNumber": 48843272,
"blockchain": {
"createdAt": "2025-06-14T02:30:37.053Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "359c81bc-04ac-47a3-be96-775a7d7cae05",
"isActive": true,
"isEvmCompatible": true,
"isL2": false,
"name": "avalanche",
"slug": "avalanche",
"symbol": "avax",
"tokenStandard": null,
"updatedAt": "2025-06-14T02:30:37.053Z"
},
"chainId": 43113,
"confirmations": 3,
"confirmed": true,
"createdAt": "2025-12-11T03:04:25.043Z",
"createdChannel": "dashboard",
"currency": "USD",
"fee": null,
"feeHash": null,
"feeUSD": null,
"gasFee": "0.000000000000270586",
"gasPrice": "2",
"gasUsed": "135293",
"hash": "0x898ac7555a7a73279f5e1c2b9aa95b8a948cc79bf50bdaa26fe29ec10274281d",
"id": "f2b7e8ca-a275-4a3a-a86c-1edc112ce4ee",
"isAutoSweep": false,
"metadata": null,
"network": "testnet",
"note": "Withdrawal of 0.1 USDC from gateway",
"rate": null,
"rateUSD": "1",
"reason": null,
"recipientAddress": "0x2455ec6700092991ce0782365a89d5cd89c8fa22",
"reference": "KiECQdpnEU5qBxdywcsN",
"senderAddress": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a",
"signedTransaction": null,
"status": "SUCCESS",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x5425890298aed601595a70AB815c96711a31Bc65",
"type": "GATEWAY_WITHDRAW",
"updatedAt": "2025-12-11T03:05:11.064Z"
},
{
"address": {
"address": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"autoSettlement": {
"isActive": false,
"rules": []
},
"disableAutoSweep": true,
"enableGaslessWithdraw": true,
"showPrivateKey": false
},
"createdAt": "2025-12-11T02:16:04.119Z",
"derivationPath": "m/44'/60'/0'/0/691",
"id": "d7c354eb-3b79-49a6-8562-a3c48beccfa8",
"isActive": true,
"metadata": null,
"name": "Child Address Gateway",
"network": "testnet",
"type": "INTERNAL",
"updatedAt": "2025-12-11T02:16:04.119Z"
},
"amlScreening": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"amount": "0.5",
"amountPaid": "0.5",
"amountUSD": "0.5",
"asset": {
"address": "0x5425890298aed601595a70AB815c96711a31Bc65",
"configurations": null,
"createdAt": "2025-06-14T02:38:16.058Z",
"currency": "USD",
"decimals": 6,
"id": "e097a26e-0df5-4610-95d3-95f6cd1aa5c6",
"isActive": true,
"isNative": false,
"name": "USD Coin",
"network": "testnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2025-06-14T02:38:16.058Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": "0xddcad5ca29b1652ea69248eea9b5c0fcc521fc42cf95f94ea6f222d4b5ec1e1a",
"blockNumber": 48841609,
"blockchain": {
"createdAt": "2025-06-14T02:30:37.053Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "359c81bc-04ac-47a3-be96-775a7d7cae05",
"isActive": true,
"isEvmCompatible": true,
"isL2": false,
"name": "avalanche",
"slug": "avalanche",
"symbol": "avax",
"tokenStandard": null,
"updatedAt": "2025-06-14T02:30:37.053Z"
},
"chainId": 43113,
"confirmations": 5,
"confirmed": true,
"createdAt": "2025-12-11T02:16:57.002Z",
"createdChannel": "dashboard",
"currency": "USD",
"fee": null,
"feeHash": null,
"feeUSD": null,
"gasFee": "0.00000000000018195",
"gasPrice": "2",
"gasUsed": "90975",
"hash": "0xc1b22de8f3ef2a2a55e6574b3d77fe78194d92079d2cbb64171e26ce68edc892",
"id": "2aa4293c-990c-4e4b-9d72-022b43694942",
"isAutoSweep": false,
"metadata": {
"withdrawal": {
"amount": "0.5",
"availableAt": "2025-12-10T23:17:35.000Z",
"type": "GATEWAY_DEPOSIT"
}
},
"network": "testnet",
"note": "Deposit of 0.5 USDC to gateway",
"rate": null,
"rateUSD": "1",
"reason": null,
"recipientAddress": "0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
"reference": "0dnXAuxCoLiqEl4iER2Z",
"senderAddress": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a",
"signedTransaction": null,
"status": "SUCCESS",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x5425890298aed601595a70AB815c96711a31Bc65",
"type": "GATEWAY_DEPOSIT",
"updatedAt": "2025-12-11T02:17:55.502Z"
}
],
"message": "Gateway transactions fetched successfully",
"meta": {
"currentPage": 1,
"itemCount": 2,
"itemsPerPage": 10,
"totalItems": 2,
"totalPages": 1
},
"statusCode": 200
}Child Address Transactions
This endpoint retrieves the addresses associated with a specific wallet.
GET
/
v1
/
addresses
/
{addressId}
/
gateway
/
transactions
Child Address Transactions
Authorizations
Path Parameters
Example:
"YOUR_ADDRESS_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[ { "address": { "address": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a", "configurations": { "aml": { "message": "Address is not sanctioned", "provider": "ofac, fbi, tether, circle", "status": "success" }, "autoSettlement": { "isActive": false, "rules": [] }, "disableAutoSweep": true, "enableGaslessWithdraw": true, "showPrivateKey": false }, "createdAt": "2025-12-11T02:16:04.119Z", "derivationPath": "m/44'/60'/0'/0/691", "id": "d7c354eb-3b79-49a6-8562-a3c48beccfa8", "isActive": true, "metadata": null, "name": "Child Address Gateway", "network": "testnet", "type": "INTERNAL", "updatedAt": "2025-12-11T02:16:04.119Z" }, "amlScreening": { "message": "Address is not sanctioned", "provider": "ofac, fbi, tether, circle", "status": "success" }, "amount": "0.1", "amountPaid": "0.1", "amountUSD": "0.1", "asset": { "address": "0x5425890298aed601595a70AB815c96711a31Bc65", "configurations": null, "createdAt": "2025-06-14T02:38:16.058Z", "currency": "USD", "decimals": 6, "id": "e097a26e-0df5-4610-95d3-95f6cd1aa5c6", "isActive": true, "isNative": false, "name": "USD Coin", "network": "testnet", "standard": null, "symbol": "USDC", "updatedAt": "2025-06-14T02:38:16.058Z" }, "assetSwept": null, "assetSweptAmount": null, "assetSweptAt": null, "assetSweptGasFee": null, "assetSweptHash": null, "assetSweptRecipientAddress": null, "assetSweptSenderAddress": null, "blockHash": "0xdcef6ef2118b99dce1a3f0a0113aba580ddc5c243774656a3f9ecd670d6908b1", "blockNumber": 48843272, "blockchain": { "createdAt": "2025-06-14T02:30:37.053Z", "derivationPath": "m/44'/60'/0'/0", "id": "359c81bc-04ac-47a3-be96-775a7d7cae05", "isActive": true, "isEvmCompatible": true, "isL2": false, "name": "avalanche", "slug": "avalanche", "symbol": "avax", "tokenStandard": null, "updatedAt": "2025-06-14T02:30:37.053Z" }, "chainId": 43113, "confirmations": 3, "confirmed": true, "createdAt": "2025-12-11T03:04:25.043Z", "createdChannel": "dashboard", "currency": "USD", "fee": null, "feeHash": null, "feeUSD": null, "gasFee": "0.000000000000270586", "gasPrice": "2", "gasUsed": "135293", "hash": "0x898ac7555a7a73279f5e1c2b9aa95b8a948cc79bf50bdaa26fe29ec10274281d", "id": "f2b7e8ca-a275-4a3a-a86c-1edc112ce4ee", "isAutoSweep": false, "metadata": null, "network": "testnet", "note": "Withdrawal of 0.1 USDC from gateway", "rate": null, "rateUSD": "1", "reason": null, "recipientAddress": "0x2455ec6700092991ce0782365a89d5cd89c8fa22", "reference": "KiECQdpnEU5qBxdywcsN", "senderAddress": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a", "signedTransaction": null, "status": "SUCCESS", "toAmount": null, "toCurrency": null, "tokenAddress": "0x5425890298aed601595a70AB815c96711a31Bc65", "type": "GATEWAY_WITHDRAW", "updatedAt": "2025-12-11T03:05:11.064Z" }, { "address": { "address": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a", "configurations": { "aml": { "message": "Address is not sanctioned", "provider": "ofac, fbi, tether, circle", "status": "success" }, "autoSettlement": { "isActive": false, "rules": [] }, "disableAutoSweep": true, "enableGaslessWithdraw": true, "showPrivateKey": false }, "createdAt": "2025-12-11T02:16:04.119Z", "derivationPath": "m/44'/60'/0'/0/691", "id": "d7c354eb-3b79-49a6-8562-a3c48beccfa8", "isActive": true, "metadata": null, "name": "Child Address Gateway", "network": "testnet", "type": "INTERNAL", "updatedAt": "2025-12-11T02:16:04.119Z" }, "amlScreening": { "message": "Address is not sanctioned", "provider": "ofac, fbi, tether, circle", "status": "success" }, "amount": "0.5", "amountPaid": "0.5", "amountUSD": "0.5", "asset": { "address": "0x5425890298aed601595a70AB815c96711a31Bc65", "configurations": null, "createdAt": "2025-06-14T02:38:16.058Z", "currency": "USD", "decimals": 6, "id": "e097a26e-0df5-4610-95d3-95f6cd1aa5c6", "isActive": true, "isNative": false, "name": "USD Coin", "network": "testnet", "standard": null, "symbol": "USDC", "updatedAt": "2025-06-14T02:38:16.058Z" }, "assetSwept": null, "assetSweptAmount": null, "assetSweptAt": null, "assetSweptGasFee": null, "assetSweptHash": null, "assetSweptRecipientAddress": null, "assetSweptSenderAddress": null, "blockHash": "0xddcad5ca29b1652ea69248eea9b5c0fcc521fc42cf95f94ea6f222d4b5ec1e1a", "blockNumber": 48841609, "blockchain": { "createdAt": "2025-06-14T02:30:37.053Z", "derivationPath": "m/44'/60'/0'/0", "id": "359c81bc-04ac-47a3-be96-775a7d7cae05", "isActive": true, "isEvmCompatible": true, "isL2": false, "name": "avalanche", "slug": "avalanche", "symbol": "avax", "tokenStandard": null, "updatedAt": "2025-06-14T02:30:37.053Z" }, "chainId": 43113, "confirmations": 5, "confirmed": true, "createdAt": "2025-12-11T02:16:57.002Z", "createdChannel": "dashboard", "currency": "USD", "fee": null, "feeHash": null, "feeUSD": null, "gasFee": "0.00000000000018195", "gasPrice": "2", "gasUsed": "90975", "hash": "0xc1b22de8f3ef2a2a55e6574b3d77fe78194d92079d2cbb64171e26ce68edc892", "id": "2aa4293c-990c-4e4b-9d72-022b43694942", "isAutoSweep": false, "metadata": { "withdrawal": { "amount": "0.5", "availableAt": "2025-12-10T23:17:35.000Z", "type": "GATEWAY_DEPOSIT" } }, "network": "testnet", "note": "Deposit of 0.5 USDC to gateway", "rate": null, "rateUSD": "1", "reason": null, "recipientAddress": "0x0077777d7EBA4688BDeF3E311b846F25870A19B9", "reference": "0dnXAuxCoLiqEl4iER2Z", "senderAddress": "0xb2893f617baB937d340ED5e97Ab15f70bb45667a", "signedTransaction": null, "status": "SUCCESS", "toAmount": null, "toCurrency": null, "tokenAddress": "0x5425890298aed601595a70AB815c96711a31Bc65", "type": "GATEWAY_DEPOSIT", "updatedAt": "2025-12-11T02:17:55.502Z" } ]
Example:
"Gateway transactions fetched successfully"
Show child attributes
Show child attributes
Example:
200
⌘I

